#pragma once
#include <map>
struct M_ThirdPluginOnlyCFGData
{
	//包名
	std::string mPackageName;
	//渠道号
	std::string mChannelID;
	//平台
	std::string mPlatform;
	//备注
	std::string mRemark;
};

class M_ThirdPluginOnlyCFG
{
public:
private:
	static std::auto_ptr<M_ThirdPluginOnlyCFG> msSingleton;
public:
	int GetCount();
	const M_ThirdPluginOnlyCFGData* GetData(std::string PackageName);
	const std::map<std::string, M_ThirdPluginOnlyCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ThirdPluginOnlyCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_ThirdPluginOnlyCFGData> mMapData;
};
